'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.retrieveIssues = retrieveIssues;
var GET_ISSUES = exports.GET_ISSUES = 'GET_ISSUES';
var LOADING_ISSUES = exports.LOADING_ISSUES = 'LOADING_ISSUES';

function retrieveIssues(userName, orgName, repoName) {
  var queryString = '\n    {\n      repos (\n        userName:"' + userName + '",\n        orgName: "' + orgName + '",\n        repoName:"' + repoName + '") {\n          repos {\n            issues {\n              id\n              title\n              number\n              state\n              labels {\n                name\n                color\n              }\n              assignee\n              assigneeAvatar\n            }\n          }\n        }\n      }\n  ';

  var request = { query: queryString };

  return function (dispatch, getState, _ref) {
    var GITHUB_API = _ref.GITHUB_API;
    return GITHUB_API.fetchData(request).then(function (response) {
      return response.data.repos.repos[0].issues;
    }).then(function (issues) {
      dispatch({
        type: GET_ISSUES,
        responseObj: issues,
        repoName: repoName
      });
    });
  };
}