'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.retrieveMilestones = retrieveMilestones;
var GET_MILESTONES = exports.GET_MILESTONES = 'GET_MILESTONES';
var LOADING_MILESTONES = exports.LOADING_MILESTONES = 'LOADING_MILESTONES';

function retrieveMilestones(userName, orgName, repoName) {
  var queryString = '\n    {\n      repos (\n        userName: "' + userName + '",\n        orgName:"' + orgName + '",\n        repoName:"' + repoName + '"){\n          repos {\n            milestones {\n              id\n              title\n              openIssues\n              closedIssues\n              dueOn\n            }\n          }\n        }\n      }\n      ';

  var request = { query: queryString };

  return function (dispatch, getState, _ref) {
    var GITHUB_API = _ref.GITHUB_API;
    return GITHUB_API.fetchData(request).then(function (response) {
      return response.data.repos.repos[0].milestones;
    }).then(function (milestones) {
      dispatch({
        type: GET_MILESTONES,
        responseObj: milestones,
        repoName: repoName
      });
    });
  };
}