'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.retrieveOrgs = retrieveOrgs;
var GET_ORGS = exports.GET_ORGS = 'GET_ORGS';

function retrieveOrgs(userName) {
  var queryString = '\n    {\n      orgs(\n        userName: "' + userName + '") {\n          orgs {\n            id\n            login\n            avatarUrl\n          }\n        }\n      }\n      ';

  var request = { query: queryString };
  return function (dispatch, getState, _ref) {
    var GITHUB_API = _ref.GITHUB_API;

    if (getState().widgets.byId.github.orgs.ids.length > 0) {
      return null;
    }
    return GITHUB_API.fetchData(request).then(function (response) {
      return response.data.orgs.orgs;
    }).then(function (orgs) {
      dispatch({
        type: GET_ORGS,
        responseObj: orgs
      });
    });
  };
}