'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.retrievePrs = retrievePrs;
var GET_PRS = exports.GET_PRS = 'GET_PRS';
var LOADING_PRS = exports.LOADING_PRS = 'LOADING_PRS';

function retrievePrs(userName, orgName, repoName) {
  var queryString = '\n    {\n      repos\n      (userName: "' + userName + '",\n      orgName:"' + orgName + '",\n      repoName:"' + repoName + '") {\n        repos {\n          pullRequests {\n            id\n            title\n            submittedBy\n            createdAt\n            mergeable\n          }\n        }\n      }\n    }\n    ';

  var request = { query: queryString };

  return function (dispatch, getState, _ref) {
    var GITHUB_API = _ref.GITHUB_API;
    return GITHUB_API.fetchData(request).then(function (response) {
      return response.data.repos.repos[0].pullRequests;
    }).then(function (pullRequests) {
      dispatch({
        type: GET_PRS,
        responseObj: pullRequests,
        repoName: repoName
      });
    });
  };
}