'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.retrieveRepos = retrieveRepos;
var GET_REPOS = exports.GET_REPOS = 'GET_REPOS';

function retrieveRepos(userName, orgName) {
  var queryString = '{repos (userName: "' + userName + '", orgName:"' + orgName + '") {repos {id name } } }';

  var request = { query: queryString };

  return function (dispatch, getState, _ref) {
    var GITHUB_API = _ref.GITHUB_API;
    return GITHUB_API.fetchData(request).then(function (response) {
      return response.data.repos.repos;
    }).then(function (repos) {
      dispatch({
        type: GET_REPOS,
        responseObj: repos,
        orgName: orgName
      });
    });
  };
}