'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapDispatchToProps = exports.mapStateToProps = exports.Dashboard = undefined;
var _jsxFileName = '../../src/components/Dashboard/Dashboard.jsx'; /* eslint-disable import/no-named-as-default, no-shadow, consistent-return */

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _redux = require('redux');

var _reactRedux = require('react-redux');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _renderActions = require('../../actions/renderActions');

var _Logout = require('../Logout/Logout');

var _Logout2 = _interopRequireDefault(_Logout);

var _Issues = require('../Issues/Issues');

var _Issues2 = _interopRequireDefault(_Issues);

var _PrTable = require('../PrTable/PrTable');

var _PrTable2 = _interopRequireDefault(_PrTable);

var _Milestones = require('../Milestones/Milestones');

var _Milestones2 = _interopRequireDefault(_Milestones);

var _utils = require('../../utils/utils');

var _utils2 = _interopRequireDefault(_utils);

require('./Dashboard.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Dashboard = exports.Dashboard = function Dashboard(_ref) {
  var repoName = _ref.repoName,
      displayRepos = _ref.displayRepos,
      orgName = _ref.orgName;
  return _react2.default.createElement(
    'div',
    {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 16
      },
      __self: undefined
    },
    _react2.default.createElement(
      _semanticUiReact.Menu,
      { compact: true, __source: {
          fileName: _jsxFileName,
          lineNumber: 17
        },
        __self: undefined
      },
      _react2.default.createElement(
        _semanticUiReact.Menu.Item,
        {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 18
          },
          __self: undefined
        },
        _react2.default.createElement(
          _semanticUiReact.Button,
          { icon: true, onClick: function onClick() {
              return displayRepos(orgName);
            }, __source: {
              fileName: _jsxFileName,
              lineNumber: 19
            },
            __self: undefined
          },
          _react2.default.createElement(_semanticUiReact.Icon, { name: 'arrow left', __source: {
              fileName: _jsxFileName,
              lineNumber: 20
            },
            __self: undefined
          })
        )
      ),
      _react2.default.createElement(
        _semanticUiReact.Menu.Item,
        {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 23
          },
          __self: undefined
        },
        _react2.default.createElement(_Logout2.default, {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 24
          },
          __self: undefined
        })
      )
    ),
    _react2.default.createElement(
      _semanticUiReact.Container,
      {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 27
        },
        __self: undefined
      },
      _react2.default.createElement(
        _semanticUiReact.Grid,
        { padded: true, __source: {
            fileName: _jsxFileName,
            lineNumber: 29
          },
          __self: undefined
        },
        _react2.default.createElement(
          _semanticUiReact.Header,
          { as: 'h2', icon: true, textAlign: 'center', __source: {
              fileName: _jsxFileName,
              lineNumber: 30
            },
            __self: undefined
          },
          _react2.default.createElement(_semanticUiReact.Icon, { name: 'github', __source: {
              fileName: _jsxFileName,
              lineNumber: 31
            },
            __self: undefined
          }),
          _react2.default.createElement(
            _semanticUiReact.Header.Content,
            {
              __source: {
                fileName: _jsxFileName,
                lineNumber: 32
              },
              __self: undefined
            },
            repoName
          )
        ),
        _react2.default.createElement(
          _semanticUiReact.Grid.Row,
          { columns: 3, __source: {
              fileName: _jsxFileName,
              lineNumber: 36
            },
            __self: undefined
          },
          _react2.default.createElement(
            _semanticUiReact.Grid.Column,
            {
              __source: {
                fileName: _jsxFileName,
                lineNumber: 37
              },
              __self: undefined
            },
            _react2.default.createElement(_PrTable2.default, { repoName: repoName, __source: {
                fileName: _jsxFileName,
                lineNumber: 38
              },
              __self: undefined
            })
          ),
          _react2.default.createElement(
            _semanticUiReact.Grid.Column,
            {
              __source: {
                fileName: _jsxFileName,
                lineNumber: 40
              },
              __self: undefined
            },
            _react2.default.createElement(_Issues2.default, { repoName: repoName, __source: {
                fileName: _jsxFileName,
                lineNumber: 41
              },
              __self: undefined
            })
          ),
          _react2.default.createElement(
            _semanticUiReact.Grid.Column,
            {
              __source: {
                fileName: _jsxFileName,
                lineNumber: 43
              },
              __self: undefined
            },
            _react2.default.createElement(_Milestones2.default, { repoName: repoName, __source: {
                fileName: _jsxFileName,
                lineNumber: 44
              },
              __self: undefined
            })
          )
        )
      )
    )
  );
};

Dashboard.propTypes = {
  repoName: _propTypes2.default.string,
  displayRepos: _propTypes2.default.func.isRequired,
  orgName: _propTypes2.default.string
};

Dashboard.defaultProps = {
  repoName: null,
  orgName: null
};

var mapStateToProps = exports.mapStateToProps = function mapStateToProps(state, ownProps) {
  var id = ownProps.widgetId;
  var repoName = state.widgets.byId[id].currentPage.repoName;
  var orgName = state.widgets.byId[id].currentPage.selectedOrgName;

  return {
    repoName: repoName,
    orgName: orgName
  };
};

var mapDispatchToProps = exports.mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return (0, _redux.bindActionCreators)({
    displayRepos: _renderActions.displayRepos
  }, dispatch);
};

exports.default = (0, _utils2.default)((0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(Dashboard));