'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapDispatchToProps = exports.mapStateToProps = exports.Issues = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _jsxFileName = '../../src/components/Issues/Issues.jsx'; /* eslint-disable import/no-named-as-default */

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _reactRedux = require('react-redux');

var _redux = require('redux');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Issue = require('../Issue/Issue');

var _Issue2 = _interopRequireDefault(_Issue);

var _issueActions = require('../../actions/issueActions');

var _utils = require('../../utils/utils');

var _utils2 = _interopRequireDefault(_utils);

require('./Issues.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function issueComponents(issues, repo) {
  var _this = this;

  if (issues && issues[repo]) {
    return issues[repo].reverse().map(function (id) {
      return _react2.default.createElement(_Issue2.default, { key: id, issueId: id, __source: {
          fileName: _jsxFileName,
          lineNumber: 14
        },
        __self: _this
      });
    });
  }
  return '';
}

var Issues = exports.Issues = function (_Component) {
  _inherits(Issues, _Component);

  function Issues() {
    _classCallCheck(this, Issues);

    return _possibleConstructorReturn(this, (Issues.__proto__ || Object.getPrototypeOf(Issues)).apply(this, arguments));
  }

  _createClass(Issues, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.props.retrieveIssues(this.props.userName, this.props.orgName, this.props.repoName);
    }
  }, {
    key: 'render',
    value: function render() {
      var styles = {
        border: '0.25px solid black'
      };

      var titles = {
        fontSize: '14px'
      };

      var height = {
        height: '40px'
      };

      if (this.props.loadingIssues) {
        return _react2.default.createElement(
          'div',
          {
            __source: {
              fileName: _jsxFileName,
              lineNumber: 39
            },
            __self: this
          },
          'Loading Issues'
        );
      }

      if (!Object.keys(this.props.issuesByRepo).length) {
        return _react2.default.createElement(
          _semanticUiReact.Card,
          { style: styles, __source: {
              fileName: _jsxFileName,
              lineNumber: 43
            },
            __self: this
          },
          _react2.default.createElement(
            _semanticUiReact.Card.Content,
            { style: height, __source: {
                fileName: _jsxFileName,
                lineNumber: 43
              },
              __self: this
            },
            _react2.default.createElement(
              _semanticUiReact.Card.Header,
              { style: titles, className: 'ui center aligned', __source: {
                  fileName: _jsxFileName,
                  lineNumber: 44
                },
                __self: this
              },
              'No Issues!'
            )
          )
        );
      }

      return _react2.default.createElement(
        _semanticUiReact.Card,
        { style: styles, __source: {
            fileName: _jsxFileName,
            lineNumber: 49
          },
          __self: this
        },
        _react2.default.createElement(
          _semanticUiReact.Card.Content,
          { style: height, __source: {
              fileName: _jsxFileName,
              lineNumber: 50
            },
            __self: this
          },
          _react2.default.createElement(
            _semanticUiReact.Card.Header,
            { style: titles, className: 'ui center aligned', __source: {
                fileName: _jsxFileName,
                lineNumber: 51
              },
              __self: this
            },
            'Issues'
          )
        ),
        issueComponents(this.props.issuesByRepo, this.props.repoName)
      );
    }
  }]);

  return Issues;
}(_react.Component);

Issues.propTypes = {
  retrieveIssues: _propTypes2.default.func.isRequired,
  loadingIssues: _propTypes2.default.bool,
  userName: _propTypes2.default.string.isRequired,
  orgName: _propTypes2.default.string.isRequired,
  repoName: _propTypes2.default.string.isRequired,
  issuesByRepo: _propTypes2.default.objectOf(_propTypes2.default.array)
};

Issues.defaultProps = {
  loadingIssues: false,
  issuesByRepo: {},
  userName: '',
  repoName: ''
};

var mapStateToProps = exports.mapStateToProps = function mapStateToProps(state, ownProps) {
  var id = ownProps.widgetId;
  var issuesByRepo = state.widgets.byId[id].issues.issuesByRepo;
  var loadingIssues = state.widgets.byId[id].loadingIssues;
  var orgName = state.widgets.byId[id].currentPage.selectedOrgName;
  var userName = state.widgets.byId[id].currentPage.userName;

  return {
    issuesByRepo: issuesByRepo,
    loadingIssues: loadingIssues,
    orgName: orgName,
    userName: userName
  };
};

var mapDispatchToProps = exports.mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return (0, _redux.bindActionCreators)({
    retrieveIssues: _issueActions.retrieveIssues
  }, dispatch);
};

exports.default = (0, _utils2.default)((0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(Issues));