'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapDispatchToProps = exports.mapStateToProps = exports.Login = undefined;
var _jsxFileName = '../../src/components/Login/Login.jsx';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCookies = require('react-cookies');

var _reactCookies2 = _interopRequireDefault(_reactCookies);

var _semanticUiReact = require('semantic-ui-react');

var _reactRedux = require('react-redux');

var _redux = require('redux');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _renderActions = require('../../actions/renderActions');

var _utils = require('../../utils/utils');

var _utils2 = _interopRequireDefault(_utils);

require('./Login.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* eslint-disable import/no-named-as-default, no-shadow, consistent-return */


var Login = exports.Login = function (_Component) {
  _inherits(Login, _Component);

  function Login() {
    _classCallCheck(this, Login);

    return _possibleConstructorReturn(this, (Login.__proto__ || Object.getPrototypeOf(Login)).apply(this, arguments));
  }

  _createClass(Login, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      if (_reactCookies2.default.load('githubUserName') !== undefined) {
        var name = _reactCookies2.default.load('githubUserName');
        this.props.displayOrgs(name);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var island = {
        marginTop: '20%',
        height: '105px',
        width: '330px'
      };

      var butterButton = {
        height: '75px',
        width: '300px'
      };

      var GITHUB_OAUTH_URL = process.env.REACT_APP_GITHUB_API_URL + '/auth/github';

      return _react2.default.createElement(
        _semanticUiReact.Grid,
        { verticalAlign: 'middle', __source: {
            fileName: _jsxFileName,
            lineNumber: 34
          },
          __self: this
        },
        _react2.default.createElement(
          _semanticUiReact.Grid.Row,
          { centered: true, verticalAlign: 'middle', __source: {
              fileName: _jsxFileName,
              lineNumber: 35
            },
            __self: this
          },
          _react2.default.createElement(
            _semanticUiReact.Grid.Column,
            { verticalAlign: 'middle', __source: {
                fileName: _jsxFileName,
                lineNumber: 36
              },
              __self: this
            },
            _react2.default.createElement(
              _semanticUiReact.Card,
              { raised: true, centered: true, style: island, __source: {
                  fileName: _jsxFileName,
                  lineNumber: 37
                },
                __self: this
              },
              _react2.default.createElement(
                _semanticUiReact.Card.Content,
                {
                  __source: {
                    fileName: _jsxFileName,
                    lineNumber: 38
                  },
                  __self: this
                },
                _react2.default.createElement(_semanticUiReact.Button, {
                  as: 'a',
                  href: '' + GITHUB_OAUTH_URL,
                  style: butterButton,
                  size: 'massive',
                  content: 'Login with Github',
                  icon: 'github',
                  __source: {
                    fileName: _jsxFileName,
                    lineNumber: 39
                  },
                  __self: this
                })
              )
            )
          )
        )
      );
    }
  }]);

  return Login;
}(_react.Component);

Login.propTypes = {
  /* eslint-disable react/no-unused-prop-types, react/require-default-props */
  displayOrgs: _propTypes2.default.func.isRequired,
  userName: _propTypes2.default.string
};

var mapStateToProps = exports.mapStateToProps = function mapStateToProps(state, ownProps) {
  var id = ownProps.widgetId;
  var currentPage = state.widgets.byId[id].currentPage.render;
  var userName = state.widgets.byId[id].currentPage.userName;

  return {
    currentPage: currentPage,
    userName: userName
  };
};

var mapDispatchToProps = exports.mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return (0, _redux.bindActionCreators)({
    displayOrgs: _renderActions.displayOrgs
  }, dispatch);
};

exports.default = (0, _utils2.default)((0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(Login));