'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapStateToProps = exports.Milestone = undefined;
var _jsxFileName = '../../src/components/Milestone/Milestone.jsx';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _reactRedux = require('react-redux');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ProgressArc = require('../ProgressArc/ProgressArc');

var _ProgressArc2 = _interopRequireDefault(_ProgressArc);

var _utils = require('../../utils/utils');

var _utils2 = _interopRequireDefault(_utils);

require('./Milestone.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Milestone = exports.Milestone = function Milestone(_ref) {
  var title = _ref.title,
      due = _ref.due,
      percentComplete = _ref.percentComplete,
      milestoneId = _ref.milestoneId;

  var styles = {
    borderTop: '0.25px solid black'
  };

  var read = {
    fontSize: '16px'
  };

  var space = {
    position: 'relative',
    paddingTop: '12px',
    paddingBottom: '6px'
  };

  function convertDate(ISOdate) {
    var date = new Date(ISOdate);
    var formatOptions = {
      day: '2-digit',
      month: '2-digit',
      year: 'numeric'
    };

    var dateString = date.toLocaleDateString('en-US', formatOptions);

    return dateString;
  }

  function getDueDate(date) {
    if (date === null) {
      return _react2.default.createElement('div', {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 39
        },
        __self: this
      });
    }
    return _react2.default.createElement(
      'div',
      {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 42
        },
        __self: this
      },
      _react2.default.createElement(
        _semanticUiReact.Header,
        { sub: true, style: space, __source: {
            fileName: _jsxFileName,
            lineNumber: 43
          },
          __self: this
        },
        'Date Due: '
      ),
      convertDate(date)
    );
  }

  return _react2.default.createElement(
    _semanticUiReact.Card.Content,
    { style: styles, __source: {
        fileName: _jsxFileName,
        lineNumber: 50
      },
      __self: undefined
    },
    _react2.default.createElement(
      _semanticUiReact.List,
      { divided: true, relaxed: true, __source: {
          fileName: _jsxFileName,
          lineNumber: 51
        },
        __self: undefined
      },
      _react2.default.createElement(
        _semanticUiReact.List.Item,
        {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 52
          },
          __self: undefined
        },
        _react2.default.createElement(
          _semanticUiReact.List.Content,
          { className: 'ui center aligned', __source: {
              fileName: _jsxFileName,
              lineNumber: 53
            },
            __self: undefined
          },
          _react2.default.createElement(
            _semanticUiReact.List.Header,
            { style: read, __source: {
                fileName: _jsxFileName,
                lineNumber: 54
              },
              __self: undefined
            },
            title
          ),
          getDueDate(due),
          _react2.default.createElement(
            _semanticUiReact.Header,
            { sub: true, style: space, __source: {
                fileName: _jsxFileName,
                lineNumber: 58
              },
              __self: undefined
            },
            'Percent Complete: '
          ),
          _react2.default.createElement(_ProgressArc2.default, {
            milestoneId: milestoneId,
            percentComplete: percentComplete,
            duration: 2000,
            __source: {
              fileName: _jsxFileName,
              lineNumber: 59
            },
            __self: undefined
          })
        )
      )
    )
  );
};

var mapStateToProps = exports.mapStateToProps = function mapStateToProps(state, ownProps) {
  var id = ownProps.widgetId;
  var milestoneId = ownProps.milestoneId;
  var milestone = state.widgets.byId[id].milestones.milestonesById[milestoneId];
  var title = milestone.title,
      due = milestone.due,
      percentComplete = milestone.percentComplete;


  return {
    title: title,
    due: due,
    percentComplete: percentComplete,
    milestoneId: milestoneId
  };
};

Milestone.propTypes = {
  milestoneId: _propTypes2.default.string.isRequired,
  title: _propTypes2.default.string.isRequired,
  due: _propTypes2.default.string,
  percentComplete: _propTypes2.default.number.isRequired
};

Milestone.defaultProps = {
  due: undefined,
  milestoneId: 0,
  title: '',
  percentComplete: 0
};

exports.default = (0, _utils2.default)((0, _reactRedux.connect)(mapStateToProps)(Milestone));