'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapStateToProps = exports.Org = undefined;
var _jsxFileName = '../../src/components/Org/Org.jsx'; /* eslint-disable import/no-named-as-default, no-shadow */

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _redux = require('redux');

var _reactRedux = require('react-redux');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _renderActions = require('../../actions/renderActions');

var _utils = require('../../utils/utils');

var _utils2 = _interopRequireDefault(_utils);

require('./Org.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Org = exports.Org = function Org(_ref) {
  var avatarUrl = _ref.avatarUrl,
      orgName = _ref.orgName,
      displayRepos = _ref.displayRepos;
  return _react2.default.createElement(
    _semanticUiReact.Grid.Column,
    {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 12
      },
      __self: undefined
    },
    _react2.default.createElement(_semanticUiReact.Image, {
      className: 'hoverable',
      onClick: function onClick() {
        return displayRepos(orgName);
      },
      src: avatarUrl,
      size: 'small',
      __source: {
        fileName: _jsxFileName,
        lineNumber: 13
      },
      __self: undefined
    }),
    _react2.default.createElement(
      _semanticUiReact.List.Item,
      { as: 'a', className: 'hoverable', onClick: function onClick() {
          return displayRepos(orgName);
        }, __source: {
          fileName: _jsxFileName,
          lineNumber: 19
        },
        __self: undefined
      },
      orgName
    )
  );
};

Org.propTypes = {
  avatarUrl: _propTypes2.default.string.isRequired,
  orgName: _propTypes2.default.string.isRequired,
  displayRepos: _propTypes2.default.func.isRequired
};

var mapStateToProps = exports.mapStateToProps = function mapStateToProps(state, ownProps) {
  var id = ownProps.widgetId;
  var orgId = ownProps.orgId;

  var org = state.widgets.byId[id].orgs.orgsById[orgId];
  var avatarUrl = org.avatarUrl,
      orgName = org.orgName;

  return {
    avatarUrl: avatarUrl,
    orgName: orgName
  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return (0, _redux.bindActionCreators)({
    displayRepos: _renderActions.displayRepos
  }, dispatch);
};

exports.default = (0, _utils2.default)((0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(Org));