'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapDispatchToProps = exports.mapStateToProps = exports.Organizations = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _jsxFileName = '../../src/components/Organizations/Organizations.jsx'; /* eslint-disable import/no-named-as-default, consistent-return */

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _redux = require('redux');

var _reactRedux = require('react-redux');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _orgActions = require('../../actions/orgActions');

var _Org = require('../Org/Org');

var _Org2 = _interopRequireDefault(_Org);

var _Logout = require('../Logout/Logout');

var _Logout2 = _interopRequireDefault(_Logout);

var _utils = require('../../utils/utils');

var _utils2 = _interopRequireDefault(_utils);

require('./Organizations.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function orgComponents(orgIds) {
  var _this = this;

  return orgIds.map(function (id) {
    return _react2.default.createElement(_Org2.default, { key: id, orgId: id, __source: {
        fileName: _jsxFileName,
        lineNumber: 14
      },
      __self: _this
    });
  });
}

var Organizations = exports.Organizations = function (_Component) {
  _inherits(Organizations, _Component);

  function Organizations() {
    _classCallCheck(this, Organizations);

    return _possibleConstructorReturn(this, (Organizations.__proto__ || Object.getPrototypeOf(Organizations)).apply(this, arguments));
  }

  _createClass(Organizations, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.props.retrieveOrgs(this.props.userName);
    }
  }, {
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'div',
        {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 24
          },
          __self: this
        },
        _react2.default.createElement(
          _semanticUiReact.Menu,
          { compact: true, __source: {
              fileName: _jsxFileName,
              lineNumber: 25
            },
            __self: this
          },
          _react2.default.createElement(
            _semanticUiReact.Menu.Item,
            {
              __source: {
                fileName: _jsxFileName,
                lineNumber: 26
              },
              __self: this
            },
            _react2.default.createElement(_Logout2.default, {
              __source: {
                fileName: _jsxFileName,
                lineNumber: 27
              },
              __self: this
            })
          )
        ),
        _react2.default.createElement(
          _semanticUiReact.Grid,
          { centered: true, columns: 3, padded: true, __source: {
              fileName: _jsxFileName,
              lineNumber: 30
            },
            __self: this
          },
          _react2.default.createElement(
            _semanticUiReact.Header,
            { as: 'h2', icon: true, textAlign: 'center', __source: {
                fileName: _jsxFileName,
                lineNumber: 31
              },
              __self: this
            },
            _react2.default.createElement(_semanticUiReact.Icon, { name: 'github', __source: {
                fileName: _jsxFileName,
                lineNumber: 32
              },
              __self: this
            }),
            _react2.default.createElement(
              _semanticUiReact.Header.Content,
              {
                __source: {
                  fileName: _jsxFileName,
                  lineNumber: 33
                },
                __self: this
              },
              'Which organization are you interested in?'
            )
          ),
          _react2.default.createElement(
            _semanticUiReact.Grid.Row,
            {
              __source: {
                fileName: _jsxFileName,
                lineNumber: 35
              },
              __self: this
            },
            orgComponents(this.props.orgIds)
          )
        )
      );
    }
  }]);

  return Organizations;
}(_react.Component);

Organizations.propTypes = {
  retrieveOrgs: _propTypes2.default.func.isRequired,
  orgIds: _propTypes2.default.arrayOf(_propTypes2.default.string).isRequired,
  userName: _propTypes2.default.string.isRequired
};

Organizations.defaultProps = {
  orgIds: [],
  userName: ''
};

var mapStateToProps = exports.mapStateToProps = function mapStateToProps(state, ownProps) {
  var id = ownProps.widgetId;
  var orgIds = state.widgets.byId[id].orgs.ids;
  var orgsById = state.widgets.byId[id].orgs.orgsById;
  var userName = state.widgets.byId[id].currentPage.userName;

  return {
    orgIds: orgIds,
    orgsById: orgsById,
    userName: userName
  };
};

var mapDispatchToProps = exports.mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return (0, _redux.bindActionCreators)({
    retrieveOrgs: _orgActions.retrieveOrgs
  }, dispatch);
};

exports.default = (0, _utils2.default)((0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(Organizations));