'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapStateToProps = exports.PrTableRow = undefined;
var _jsxFileName = '../../src/components/PrTableRow/PrTableRow.jsx';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _reactRedux = require('react-redux');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _utils = require('../../utils/utils');

var _utils2 = _interopRequireDefault(_utils);

require('./PrTableRow.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var merge = {
  color: 'red',
  position: 'absolute',
  top: '0',
  right: '0'
};

var getMergeable = function getMergeable(able) {
  if (able) {
    return _react2.default.createElement('div', {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 18
      },
      __self: undefined
    });
  } else if (able === false) {
    return _react2.default.createElement(_semanticUiReact.Icon, { style: merge, name: 'remove', size: 'big', __source: {
        fileName: _jsxFileName,
        lineNumber: 21
      },
      __self: undefined
    });
  }
  return _react2.default.createElement('div', {
    __source: {
      fileName: _jsxFileName,
      lineNumber: 24
    },
    __self: undefined
  });
};

var PrTableRow = exports.PrTableRow = function PrTableRow(_ref) {
  var created = _ref.created,
      mergeable = _ref.mergeable,
      submittedBy = _ref.submittedBy,
      title = _ref.title;

  var styles = {
    borderTop: '0.25px solid black'
  };

  var space = {
    position: 'relative',
    paddingTop: '4px',
    paddingBottom: '4px',
    fontSize: '16px'
  };

  return _react2.default.createElement(
    _semanticUiReact.Card.Content,
    { style: styles, __source: {
        fileName: _jsxFileName,
        lineNumber: 39
      },
      __self: undefined
    },
    _react2.default.createElement(
      _semanticUiReact.List,
      { divided: true, relaxed: true, __source: {
          fileName: _jsxFileName,
          lineNumber: 40
        },
        __self: undefined
      },
      _react2.default.createElement(
        _semanticUiReact.List.Item,
        {
          __source: {
            fileName: _jsxFileName,
            lineNumber: 41
          },
          __self: undefined
        },
        _react2.default.createElement(
          _semanticUiReact.List.Content,
          { className: 'ui center aligned', __source: {
              fileName: _jsxFileName,
              lineNumber: 42
            },
            __self: undefined
          },
          _react2.default.createElement(
            _semanticUiReact.List.Header,
            { style: space, __source: {
                fileName: _jsxFileName,
                lineNumber: 43
              },
              __self: undefined
            },
            title
          ),
          _react2.default.createElement(
            _semanticUiReact.List.Description,
            { style: space, __source: {
                fileName: _jsxFileName,
                lineNumber: 46
              },
              __self: undefined
            },
            'date created:',
            _react2.default.createElement(
              _semanticUiReact.Header,
              { sub: true, __source: {
                  fileName: _jsxFileName,
                  lineNumber: 48
                },
                __self: undefined
              },
              (0, _moment2.default)(created).fromNow()
            )
          ),
          _react2.default.createElement(
            _semanticUiReact.List.Description,
            { style: space, __source: {
                fileName: _jsxFileName,
                lineNumber: 50
              },
              __self: undefined
            },
            'submitted by:',
            _react2.default.createElement(
              _semanticUiReact.Header,
              { sub: true, __source: {
                  fileName: _jsxFileName,
                  lineNumber: 52
                },
                __self: undefined
              },
              submittedBy
            ),
            getMergeable(mergeable)
          )
        )
      )
    )
  );
};

PrTableRow.propTypes = {
  created: _propTypes2.default.string.isRequired,
  mergeable: _propTypes2.default.bool,
  submittedBy: _propTypes2.default.string.isRequired,
  title: _propTypes2.default.string.isRequired
};

PrTableRow.defaultProps = {
  mergeable: undefined
};

var mapStateToProps = exports.mapStateToProps = function mapStateToProps(state, ownProps) {
  var id = ownProps.widgetId;
  var prId = ownProps.prId;
  var pr = state.widgets.byId[id].pullRequests.prsById[prId];
  var created = pr.created,
      mergeable = pr.mergeable,
      submittedBy = pr.submittedBy,
      title = pr.title;

  return {
    created: created,
    mergeable: mergeable,
    submittedBy: submittedBy,
    title: title
  };
};

exports.default = (0, _utils2.default)((0, _reactRedux.connect)(mapStateToProps)(PrTableRow));