'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapStateToProps = undefined;
var _jsxFileName = '../../src/components/ProgressArc/ProgressArc.jsx';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _d = require('d3');

var d3 = _interopRequireWildcard(_d);

var _reactRedux = require('react-redux');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require('../../utils/utils');

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* eslint-disable react/no-string-refs,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               react/sort-comp, class-methods-use-this, no-unused-expressions */

var ProgressArc = function (_Component) {
  _inherits(ProgressArc, _Component);

  function ProgressArc() {
    _classCallCheck(this, ProgressArc);

    return _possibleConstructorReturn(this, (ProgressArc.__proto__ || Object.getPrototypeOf(ProgressArc)).apply(this, arguments));
  }

  _createClass(ProgressArc, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.drawArc();
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate() {
      this.redrawArc();
    }
  }, {
    key: 'setContext',
    value: function setContext() {
      return d3.select(this.refs.arc).append('svg').attr('height', '60px').attr('width', '60px').attr('id', 'd3-arc').append('g').attr('transform', 'translate(30,30)');
    }
  }, {
    key: 'arc',
    value: function arc() {
      return d3.arc().innerRadius(20).outerRadius(30).startAngle(0);
    }
  }, {
    key: 'setBackground',
    value: function setBackground(context) {
      return context.append('path').datum({ endAngle: Math.PI * 2 }).style('fill', '#e6e6e6').attr('d', this.arc());
    }
  }, {
    key: 'setForeground',
    value: function setForeground(context) {
      return context.append('path').datum({ endAngle: 0 }).style('fill', '#756bb1').attr('d', this.arc());
    }
  }, {
    key: 'drawArc',
    value: function drawArc() {
      var context = this.setContext();
      this.setBackground(context);
      this.setForeground(context);
      this.updatePercent(context);
    }
  }, {
    key: 'redrawArc',
    value: function redrawArc() {
      var context = d3.select('#' + this.props.id);
      context.remove();
      this.drawArc();
    }
  }, {
    key: 'updatePercent',
    value: function updatePercent(context) {
      return this.setForeground(context).transition().duration(this.props.duration).call(this.arcTween, Math.PI * 2 * this.props.percentComplete, this.arc());
    }
  }, {
    key: 'arcTween',
    value: function arcTween(transition, newAngle, arc) {
      transition.attrTween('d', function (d) {
        var interpolate = d3.interpolate(parseInt(d.endAngle, 10), newAngle);
        var newArc = d;
        return function (t) {
          newArc.endAngle = interpolate(t);
          return arc(newArc);
        };
      });
    }
  }, {
    key: 'render',
    value: function render() {
      return _react2.default.createElement('div', { ref: 'arc', __source: {
          fileName: _jsxFileName,
          lineNumber: 82
        },
        __self: this
      });
    }
  }]);

  return ProgressArc;
}(_react.Component);

ProgressArc.propTypes = {
  id: _propTypes2.default.number.isRequired,
  duration: _propTypes2.default.number.isRequired,
  percentComplete: _propTypes2.default.number.isRequired
};

ProgressArc.defaultProps = {
  id: 0,
  percentComplete: 0,
  duration: 2000
};

var mapStateToProps = exports.mapStateToProps = function mapStateToProps(state, ownProps) {
  var id = ownProps.widgetId;
  var milestoneId = ownProps.milestoneId;
  var percentComplete = state.widgets.byId[id].milestones.milestonesById[milestoneId].percentComplete;

  return {
    percentComplete: percentComplete
  };
};

exports.default = (0, _utils2.default)((0, _reactRedux.connect)(mapStateToProps)(ProgressArc));