'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapStateToProps = exports.Repo = undefined;
var _jsxFileName = '../../src/components/Repo/Repo.jsx'; /* eslint-disable no-shadow */

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _redux = require('redux');

var _reactRedux = require('react-redux');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _renderActions = require('../../actions/renderActions');

var _utils = require('../../utils/utils');

var _utils2 = _interopRequireDefault(_utils);

require('./Repo.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Repo = exports.Repo = function Repo(_ref) {
  var repoName = _ref.repoName,
      displayDashboard = _ref.displayDashboard;
  return _react2.default.createElement(
    _semanticUiReact.List.Item,
    { as: 'a', className: 'hoverable', id: 'repo', onClick: function onClick() {
        return displayDashboard(repoName);
      }, __source: {
        fileName: _jsxFileName,
        lineNumber: 12
      },
      __self: undefined
    },
    repoName
  );
};

Repo.propTypes = {
  repoName: _propTypes2.default.string.isRequired,
  displayDashboard: _propTypes2.default.func.isRequired
};

var mapStateToProps = exports.mapStateToProps = function mapStateToProps(state, ownProps) {
  var id = ownProps.widgetId;
  var repoId = ownProps.repoId;
  var repo = state.widgets.byId[id].repos.reposById[repoId];
  var repoName = repo.repoName;


  return {
    repoName: repoName
  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return (0, _redux.bindActionCreators)({
    displayDashboard: _renderActions.displayDashboard
  }, dispatch);
};

exports.default = (0, _utils2.default)((0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(Repo));