'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _orgActions = require('../actions/orgActions');

var _renderActions = require('../actions/renderActions');

function createState(json, incomingState) {
  var state = incomingState;
  json.forEach(function (org) {
    state.ids = state.ids.concat(org.id);
    state.orgsById[org.id] = {};
    state.orgsById[org.id].avatarUrl = org.avatarUrl;
    state.orgsById[org.id].orgName = org.login;
    state.orgsById[org.id].reposUrl = org.url;
  });
  return Object.assign({}, state);
}
var initialState = {
  ids: [],
  orgsById: {}
};
var orgReducer = function orgReducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments[1];

  switch (action.type) {
    case _orgActions.GET_ORGS:
      return createState(action.responseObj, state);

    case _renderActions.LOGOUT:
      return initialState;

    default:
      return state;
  }
};

exports.default = orgReducer;