'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _prActions = require('../actions/prActions');

var _renderActions = require('../actions/renderActions');

function createState(json, incomingState, repoName) {
  var state = incomingState;
  state.prsByRepo = {};
  json.forEach(function (pr) {
    state.ids = state.ids.concat(pr.id);
    state.prsById[pr.id] = {};
    state.prsById[pr.id].submittedBy = pr.submittedBy;
    state.prsById[pr.id].title = pr.title;
    state.prsById[pr.id].created = pr.createdAt;
    state.prsById[pr.id].mergeable = pr.mergeable;
    if (state.prsByRepo[repoName]) {
      state.prsByRepo[repoName] = state.prsByRepo[repoName].concat(pr.id);
    } else {
      state.prsByRepo[repoName] = [pr.id];
    }
  });
  return Object.assign({}, state, { loadingPrTable: false });
}
var initialState = {
  ids: [],
  prsById: {},
  loadingPrTable: true,
  repoName: ''
};
var prReducer = function prReducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments[1];

  switch (action.type) {
    case _prActions.GET_PRS:
      return createState(action.responseObj, state, action.repoName);
    case _prActions.LOADING_PRS:
      return Object.assign({}, state, { loadingPrTable: true });

    case _renderActions.LOGOUT:
      return initialState;

    default:
      return state;
  }
};

exports.default = prReducer;