'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _renderActions = require('../actions/renderActions');

var initialState = {
  render: 'login',
  repoName: null,
  userName: '',
  selectedOrgName: null
};

var renderPage = function renderPage() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments[1];

  switch (action.type) {
    case _renderActions.DISPLAY_ORGS:
      return Object.assign({}, state, { render: 'orgs', userName: action.userName });

    case _renderActions.DISPLAY_REPOS:
      return Object.assign({}, state, { render: 'repos', fetching: false, selectedOrgName: action.selectedOrgName });

    case _renderActions.DISPLAY_LOGIN:
      return initialState;

    case _renderActions.DISPLAY_DASHBOARD:
      return Object.assign({}, state, {
        render: 'dashboard',
        repoName: action.repoName,
        fetching: false,
        repoId: action.repoId });

    case _renderActions.LOGOUT:
      return initialState;

    default:
      return state;
  }
};

exports.default = renderPage;