'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _repoActions = require('../actions/repoActions');

var _renderActions = require('../actions/renderActions');

function createState(json, incomingState, orgName) {
  var state = incomingState;
  state.reposByOrg = {};
  if (json) {
    json.forEach(function (repo) {
      state.ids = state.ids.concat(repo.id);
      state.reposById[repo.id] = {};
      state.reposById[repo.id].repoName = repo.name;
      state.reposById[repo.id].repoUrl = repo.html_url;
      if (state.reposByOrg[orgName]) {
        state.reposByOrg[orgName] = state.reposByOrg[orgName].concat(repo.id);
      } else {
        state.reposByOrg[orgName] = [repo.id];
      }
    });
  }
  return Object.assign({}, state);
}
var initialState = {
  ids: [],
  reposById: {},
  orgName: ''
};

var repoReducer = function repoReducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments[1];

  switch (action.type) {
    case _repoActions.GET_REPOS:
      return createState(action.responseObj, state, action.orgName);

    case _renderActions.LOGOUT:
      return initialState;

    default:
      return state;
  }
};

exports.default = repoReducer;