'use strict';

var _jsxFileName = '../../src/test/milestone.test.jsx';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzymeToJson = require('enzyme-to-json');

var _enzymeToJson2 = _interopRequireDefault(_enzymeToJson);

var _enzyme = require('enzyme');

var _Milestone = require('../components/Milestone/Milestone');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var state = {
  widgets: {
    byId: {
      github: {
        milestones: {
          ids: ['2601714'],
          milestonesById: {
            2601714: {
              created: '2017-06-23T22:45:34Z',
              labels: ['sprint 1'],
              repoIssueNumber: 36,
              title: 'building paths and auth',
              due: '2018-06-23T22:45:34Z',
              percentComplete: 0.4
            }
          }
        },
        loadingMilestones: false
      }
    }
  }
};

describe('Milestone entry component', function () {
  it('should render a component with props as specified ', function () {
    var component = (0, _enzyme.shallow)(_react2.default.createElement(_Milestone.Milestone, {
      title: 'sprint 1',
      due: '2018-06-23T22:45:34Z',
      milestoneId: '2601714',
      percentComplete: 0.4,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 32
      },
      __self: undefined
    }));
    expect((0, _enzymeToJson2.default)(component)).toMatchSnapshot();
  });

  it("map's given State To Props ", function () {
    var expected = {
      title: 'building paths and auth',
      due: '2018-06-23T22:45:34Z',
      percentComplete: 0.4,
      milestoneId: '2601714'
    };

    expect((0, _Milestone.mapStateToProps)(state, { milestoneId: '2601714', widgetId: 'github' })).toEqual(expected);
  });

  it('Should have a List Content aligned in the center', function () {
    var component = (0, _enzyme.shallow)(_react2.default.createElement(_Milestone.Milestone, {
      title: 'sprint 1',
      due: '2018-06-23T22:45:34Z',
      percentComplete: 0.4,
      milestoneId: '2601714',
      __source: {
        fileName: _jsxFileName,
        lineNumber: 55
      },
      __self: undefined
    }));
    expect(component.find('.aligned').exists()).toBe(true);
  });
});